### Function

# WebKit Credential new

#### Declaration [src]

    WebKitCredential*
    webkit_credential_new (
      const gchar* username,
      const gchar* password,
      WebKitCredentialPersistence persistence
    )

#### Description [src]

Create a new credential from the provided username, password and persistence mode.

Available since: | 2.2

#### Parameters

`username` | `const gchar*`
| The username for the new credential.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`password` | `const gchar*`
| The password for the new credential.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`persistence` | `WebKitCredentialPersistence`
| The `WebKitCredentialPersistence` of the new credential.

#### Return value

Returns: | `WebKitCredential`
| A `WebKitCredential`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.